Subject: Re: Building git-1.5.3.7 on HP-UX 11.00

From: Johannes Sixt <[email-masked]>
Date: Tue, 11 Dec 2007 10:20:55 +0100

Junio C Hamano schrieb:
> "H.Merijn Brand" <[email-masked]> writes:
>> 3 I am willing to believe that HP_UX' vsnprintf () is broken, or
>>   at least does not conform to the expectations in the GNU world,
>>   but chickening out like the way strbuf_addf () does is maybe a
>>   bit too rude, so I forced a minimum of 64bytes available. That
>>   fixes a lot!
>>
>>   but it still breaks t4013 :(
> 
> I think Shawn had something similar for Solaris, and if it is a small
> cost to help portability, it does not feel so bad.

Windows's vsnprintf() is broken in two regards: (1) It returns -1 if the
buffer is too small; (2) the size parameter is not the size of the buffer,
but the max. number of chars to write (i.e. does not count the NUL). How
broken is HP-UX's? Maybe we can share the implementation? See:

http://repo.or.cz/w/git/mingw.git?a=commitdiff;h=5fd41ffacdef5454acbe51f5e23a97eb5158226d
http://repo.or.cz/w/git/mingw.git?a=commitdiff;h=e88aa8cbe816526bb0a7d37eaf2f5eb40ff36ae1

-- Hannes